Name:    sysget
Version: 2.3
Release: 4
Summary: One package manager to rule them all 
License: GPLv3
URL:	 http://sysget.emilengler.com
Source0: https://github.com/emilengler/sysget/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch1:  sysget-should-generate-debuginfo.patch

BuildRequires: 	gcc autoconf automake  make gcc-c++

%description
sysget is a bridge that lets you use one syntax to every package manager on every unix-based operating system.
You probably all know the problem when you are on a new distro and don't know anything about the package manager. With sysget you just need to remember one syntax for every package manager.
The syntax is mostly same with apt so it should be easy to use.

%prep
%setup -q -n %{name}-%{version}/
%patch1 -p1

%build
%make_build

%install
install -d %{buildroot}/%{_bindir}
install -m0755 sysget %{buildroot}/%{_bindir}

install -d %{buildroot}/%{_mandir}/man8
install -m0644 contrib/man/sysget.8 %{buildroot}/%{_mandir}/man8
gzip %{buildroot}/%{_mandir}/man8/sysget.8

install -d %{buildroot}/%{_sysconfdir}/bash_completion.d/%{name}
install -m0644 contrib/sysget.bash-completion %{buildroot}/%{_sysconfdir}/bash_completion.d/%{name}


%pre
%preun
%post
%postun

%check

%files
%license LICENSE.txt 
%doc README.md CONTRIBUTING.md
%{_bindir}/*
%{_mandir}/*
%{_sysconfdir}/*


%changelog
* Thu 09 Sep 2021 sunguoshuai <sunguoshuai@huawei.com> - 2.3.2-4
- sysget should generate debuginfo

* Mon May 31 2021 huanghaitao <huanghaitao8@huawei.com> - 2.3.2-3
- Completing build dependencies to fix gcc-c++ compiler missing error

* Thu Sep 24 2020 ShiYuan Hu<421699196@qq.com> - 2.3.2
- refresh source0 url

* Sun Mar 29 2020 Wei Xiong <myeuler@163.com>
- Package init
